using BPASmartClient.Helper;
using Microsoft.Toolkit.Mvvm.ComponentModel;
using Microsoft.Toolkit.Mvvm.Input;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.ViewModel
{
    public class AdminstratorsViewModel:ObservableObject
    {
        public string Admin { get { return _admin; } set { _admin = value; OnPropertyChanged(); } }
        private string _admin;

        public string Password { get { return _password; } set { _password = value; OnPropertyChanged(); } }
        private string _password;

        public string ErrorMessage { get { return _errorMessage; } set { _errorMessage = value; OnPropertyChanged(); } }
        private string _errorMessage;

        public RelayCommand AdminLoginCommand { get; set; }

        public AdminstratorsViewModel()
        {
            AdminLoginCommand = new RelayCommand(() =>
            {

                ActionManage.GetInstance.Send("LoginSuccess");
            });
        }
        
    }
}
